corda / net.corda.core.transactions / SignedTransaction / checkSignaturesAreValid

# checkSignaturesAreValid

`fun checkSignaturesAreValid(): Unit`

Mathematically validates the signatures that are present on this transaction. This does not imply that the signatures are by the right keys, or that there are sufficient signatures, just that they aren't corrupt. If you use this function directly you'll need to do the other checks yourself. Probably you want verifySignatures instead.

### Exceptions

`SignatureException` - if a signature fails to verify.